<?xml version="1.0" encoding="UTF-8" ?>
<templates xml:space="preserve">
    <t t-name="awesome_owl.todo_list">
       <p><input t-ref="todo_input" type="text" name="new-todo" placeholder="Add new todo" t-on-keyup="addTodo" /></p>
       <div class="d-inline-block border p-2 m-2">
            <t t-foreach="todos" t-as="todo" t-key="todo.id">
                <TodoItem todo="todo" onToggle.bind="toggleState" removeTodo.bind="removeItem"/>
            </t>
        </div>
    </t>
</templates>